#ifndef DIALOG_H
#define DIALOG_H

#include <QtWidgets/QDialog>

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>

namespace Ui {
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

public slots:
    void processFrameAndUpdateGui();

private:
    Ui::Dialog *ui;
    cv::Mat mat;
    cv::VideoCapture capture;
};

#endif // DIALOG_H
